
WHMCS - Support # 122: Fatal error on creating new ticket

Status: Closed Priority: Normal

Author: Sarbjit Singh Category:

Created: 13 Dec 2012 Assignee: Amarjeet Kaur

Updated: 24 Jun 2013 Due date:

Subject: Fatal error on creating new ticket

Description: WHMCS version is *v5.1.3*


Kayako Help desk version is *v4.51.1891*





Getting following *fatal* error while creating new ticket from WHMCS client area;





Fatal error: Call to undefined method kyResultSet::filterByModule() in 

/var/www/public_html/clientes/modules/support/kayako/API/kyResultSet.php on line 404Fatal error: 

Uncaught exception 'Exception' with message 'String could not be parsed as XML' in 

/var/www/public_html/clientes/modules/support/kayako/API/kyHelpers.php:31 Stack trace: #0 

/var/www/public_html/clientes/modules/support/kayako/API/kyHelpers.php(31): 

SimpleXMLElement->__construct('


?Fatal...') #1 /var/www/public_html/clientes/modules/support/kayako/API/kyRESTClient.php(202): 

ky_xml_to_array('


?Fatal...') #2 /var/www/public_html/clientes/modules/support/kayako/API/kyRESTClient.php(219): 

kyRESTClient->processRequest('/Tickets/Ticket', 'GET', Array) #3 

/var/www/public_html/clientes/modules/support/kayako/API/kyObjectBase.php(196): 

kyRESTClient->get('/Tickets/Ticket', Array) #4 

/var/www/public_html/clientes/modules/support/kayako/API/kyTicket.php(684): kyObjectBase::getAll(Array) 

#5 /var/www/public_html/clientes/modules/support/kayako/supporttickets.php(85): 

kyTicket::getAll(Object(kyResultSet), Object(kyResultSet)) #6 /var/www/public_html/clientes/sup in 

/var/www/public_html/clientes/modules/support/kayako/API/kyHelpers.php on line 31

History

12/18/2012 12:54 pm - Andre Silva

Hi there, any update on this? We really need this fixed as soon as possible. :X

12/18/2012 10:26 pm - Mahesh Salaria

- Assignee set to Amarjeet Kaur

12/24/2012 11:22 pm - Amarjeet Kaur

Hi Teotonio,





I had tried to replicate this issue. But when I opened 'Submit Ticket' page, got  'Account not found' message.


Please update your account details, so that we could trace this issue.





Thank you,


Amarjeet Kaur


12/29/2012 11:53 am - Chris Danks

I too have the same issue.  I've opened a ticket with kayako helpdesk:  SUPPORT #XME-143-11694





submitting the ticket gives the same error as you, and clicking browse tickets takes 1-2 minutes to load.





using latest PHP 5.3 with suPHP 
12/29/2012 12:15 pm - Chris Danks

HI





How to fix:





make sure you've read ALL of http://forge.kayako.com/projects/whmcs/wiki  including making changes to the kyconfig.php too in API folder and you've 

made the 4 changes to kayako/__apps/tickets/api and uploaded the file to kayako required too.  this fixed the submit ticket problem for us, but still it 

takes 1-2 minutes to load view tickets screen.

01/08/2013 11:23 pm - Pham Hung

Hi Chris





For uploading files to kayako, do you mean we will need to upload files in API folder from installed_WHCMS to __apps/tickets/api?





Thanks.

01/09/2013 04:43 am - Amarjeet Kaur

Hi Pham,





Please check [[http://forge.kayako.com/projects/whmcs/wiki]] for installation steps. 





Note: You need to do modifications in your Kayako_Helpdesk_Installation_folder as per *"SWIFT_Modifications.doc"* file attached in Wiki section.





If you still face any issue, then please let us know.





Thank you,


Amarjeet Kaur


04/24/2013 02:18 am - Cyberia Systems

My kayako helpdesk is version 4.52.2417


Whmcs installlation is version 5.2.3





Im getting below error while submitting tickets





Call to undefined method kyResultSet::filterByModule() in /xxxxx/xxxxx/public_html/modules/support/kayako/API/kyResultSet.php on line 404





Also our kayako knowledgebase is displaying on the whmcs interface, but the article links are not working.

04/24/2013 02:19 am - Cyberia Systems

I have done all the modifications specified on SWIFT_Modifications.doc

06/24/2013 02:36 am - Amarjeet Kaur

- Status changed from New to Closed
